<?php
/**
 * Clase para benchmark de scripts en PHP
 *
 * @version 1.0
 * @author Federico Lozada Mosto
 * @copyright Copyright (c) 2008
 * @static
 * <code>
 *     Benchmark::start();
 *    //mi script
 *    echo Benchmark::end();
 * </code>
 */
class Benchmark 
{
  /**
   * Guarda el tiempo
   * @var int
   */
  private static $timer;

  /**
   * Comienza la cuanta del tiempo
   * @return boolean
   */
  public static function start() {
    self::$timer = microtime ( true );
    return true;
  }

  /**
   * Termina la cuenta del tiempo
   * @return int es el tiempo que tardo el script
   */
  public static function end() {
    $fin = microtime ( true );
    return ($fin - self::$timer);
  }

  /**
   * Devuelve la cantidad de memoria utilizada por PHP
   * @return int
   */
  public static function memory() {
    return memory_get_usage ();
  }
}
?>
