<?php
/**
 * A simple class for downloading files.
 * @author  Luis Leiva
 * @date    2010 Dec 17
 */
class Downloader {

  /** @var string */
  public $mimeType;
  /** @var string */
  public $fileName;
  /** @var bool */
  private $isString;
  /** @var string */
  private $filePath;
  /** @var string */
  private $fileData;

  public function __construct($mime = "", $name = "") 
  {
    $this->mimeType = $mime;
    $this->fileName = $name;
  }

  public function setDataFromFile($path) {
    $this->isString = false;
    $this->filePath = $path;
  }

  public function setDataFromString($data) {
    $this->isString = true;
    $this->fileData = $data;
  }

  public function forceDownload() 
  {
    $len = ($this->isString) ? strlen($this->fileData) : filesize($this->filePath);
    // basic headers
    header( "Content-type: ".$this->mimeType );
    header( "Content-Length: ".$len ); 
    header( "Content-Disposition: attachment; filename=".$this->fileName );
    // optional
    header( "Pragma: no-cache" );
    header( "Expires: 0" );
    header( 'Cache-Control: must-revalidate, post-check=0, pre-check=0' );
    header( 'Cache-Control: public' ); 
    header( 'Content-Description: File Transfer' );

    if ($this->isString) {
      echo $this->fileData;      
    } else {
      readfile($this->filePath);
    }
  }

}
?>
