<?php
/**
 * Public signature for MyCVParser-based class(es).
 * @author Luis Leiva
 * @date 18 Jun 2010
 */
interface IMyCVParser {

  // myCV structural blocks
  function formatPersonal();
  function formatSectionGroups();

  function formatMetadata();

  // 'personal' getters
  function getPhoto(DOMElement $node);
  function getName(DOMElement $node);
  function getBirthDay(DOMElement $node);
  function getAddress(DOMElement $node);
  function getPhone(DOMElement $node);
  function getEmail(DOMElement $node);
  function getWebpage(DOMElement $node);
  function getText(DOMElement $node);

  // formatting methods for the 'personal' node
  function formatPhoto(DOMElement $node);
  function formatName(DOMElement $node);
  function formatBirthDay(DOMElement $node);
  function formatAddress(DOMElement $node);
  function formatPhone(DOMElement $node);
  function formatEmail(DOMElement $node);
  function formatWebpage(DOMElement $node);
  function formatText(DOMElement $node);

  // formatting methods for the 'sectiongroup' node(s)
  function formatList(DOMElement $node);
  function formatImage(DOMElement $node);
  function formatDescription(DOMElement $node);
  function formatEnumerate(DOMElement $node);
  function formatItemize(DOMElement $node);
  function formatTable(DOMElement $node);
  function formatHeading(DOMElement $node, $level);

  function formatPublications(DOMElement $node, $files);
  function formatBibFiles($entries, $wrapitem);
  
}
?>
