<?php
require_once 'sys/class.mywidget.php';

/**
 * A class for adding a header image widget. See your theme CSS for adjusting image size.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.mywidget.php
 */
class ImageBlock extends MyWidget
{
  protected $category = "image";

  /** Image file to place in header. */
  public $image;

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $image string image file name
   */
  public function __construct(DomDocument $dom, $image)
  {
    parent::__construct($dom);
    $this->image = $image;
  }

  protected function create()
  {
    $list  = '<div id="widget-header">';
    $list .= '<img src="'.$this->image.'" alt="Header Image" />';
    $list .= '</div><!-- end widget-header -->';

    return $list;
  }

  public function placeIn($placement = "") 
  {
    $place = empty($placement) ? $this->body : $placement;
    $this->sourceDOM->addDOMElement( $this->create(), $place );
  }

}
?>
