<?php
require_once 'sys/class.mywidget.php';

/**
 * A class for adding a logo list widget.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.mywidget.php
 */
class LogoList extends MyWidget
{
  protected $category = "image";

  /** 
   * The expected structure of this array is the following: 
   * identifier as array keys, and eeach value is as array with 2 members: link and image. 
   * E.g., array("a"=>array('http://a.com/', 'a.png'), "b"=>array('http://b.com/', 'b.png'))
   * @var array logo set. 
   */
  public $logos;

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $logos array logo set
   */
  public function __construct(DomDocument $dom, array $logos)
  {
    parent::__construct($dom);
    $this->logos = $logos;
  }

  protected function create()
  {
    $list  = '<div id="widget-logostrip">';
    foreach ($this->logos as $id => $parts) {
      $link = $parts[0];
      $logo = $parts[1];
      $list .= '<a href="'.$link.'"><img src="'.$logo.'" alt="'.strtoupper($id).'" /></a>';
    }
    $list .= '</div><!-- end widget-logostrip -->';

    return $list;
  }

  public function placeIn($placement = "") 
  {
    $path = $this->getCategoryUrl();
    $this->sourceDOM->addDOMElement( '<link href="'.$path.'/styles.css" rel="stylesheet" type="text/css" />', $this->head );

    $place = empty($placement) ? $this->footer : $placement;
    $this->sourceDOM->addDOMElement( $this->create(), $place );
  }

}
?>
