<?php
require_once 'sys/class.mywidget.php';

/**
 * A class for adding a microformat widget (by now vCard and hCard).
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.mywidget.php
 */
class Microformats extends MyWidget
{
  protected $category = "microformats";

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $image string image file name
   */
  public function __construct(DomDocument $dom)
  {
    parent::__construct($dom);
  }

  protected function create()
  {
    $path  = $this->getCategoryUrl();
    $list  = '<div id="widget-microformats">';
    $list .= '<ul>';
    $list .= '<li>vCard: ';
    $list .= '<a href="'.$path.'/gvc.php?f='.$this->sourceDOM->filename.'&amp;v=2">v2</a>, ';
    $list .= '<a href="'.$path.'/gvc.php?f='.$this->sourceDOM->filename.'&amp;v=3">v3</a>';
    $list .= '</li>';
    //$list .= '<li><a href="'.$path.'/gvc.php?f='.$this->sourceDOM->filename.'&amp;v=2">vCard (v2)</a></li>';
    //$list .= '<li><a href="'.$path.'/gvc.php?f='.$this->sourceDOM->filename.'&amp;v=3">vCard (v3)</a></li>';
    $list .= '<li><a href="'.$path.'/ghc.php?f='.$this->sourceDOM->filename.'">hCard</a></li>';
    $list .= '</ul>';
    $list .= '</div><!-- end widget-microformats -->';

    return $list;
  }

  public function placeIn($place = "") 
  {
    $path = $this->getCategoryUrl();
    $this->sourceDOM->addDOMElement( '<link href="'.$path.'/styles.css" rel="stylesheet" type="text/css" />', $this->head );

    $placement = empty($place) ? $this->nav : $place;
    $this->sourceDOM->addDOMElement( $this->create(), $placement );
  }

}
?>
