<?php
require_once 'class.vcard.php';
require_once '../../sys/functions.php';

/**
 * A class for adding a vCard v3 widget. 
 * The main enhancement regarding v2 is that it allows including a photo.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.vcardwidget.php
 */
class VCard3 extends VCard
{
  protected $newLine = '\n';
  protected $prefixType = 'TYPE=';

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $image string image file name
   */
  public function __construct(DomDocument $dom)
  {
    parent::__construct($dom);
  }

  protected function getVersion() 
  {
    return '3.0'; 
  }

  protected function formatPhoto(DOMElement $node)
  {
    $img = $this->getPhotoUrl($node);
    if (!empty($img)) {
      $type = file_info($img, "extension");
      return 'PHOTO;VALUE=URL;'. $this->prefixType.strtoupper($type) .':'. $img .PHP_EOL;
    }
  }

}
?>
