<?php
require_once 'sys/class.mywidget.php';

/**
 * A class for adding a menu widget.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.mywidget.php
 */
class Menu extends MyWidget
{
  protected $category = "navigation";

  /** HTML list element type: "ul" (default) or "ol" */
  protected $listType;

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $listType enclosing HTML list can be either "ul" (default) or "ol"
   */
  public function __construct($dom, $listType = "ul")
  {
    parent::__construct($dom);
    $this->listType = $listType;
  }

  protected function create()
  {
    $list = '<div id="widget-menu">';
    $sectiongroups = $this->sourceDOM->getElementsByTagName('sectiongroup');
    if (count($sectiongroups) > 0) {
      $list .= '<'.$this->listType.'>';
      foreach ($sectiongroups as $sectiongroup)
      {
        $list .= '<li>' . $sectiongroup->getAttribute("title") . '</li>';
      }
      $list .= '</'.$this->listType.'>';
    }
    $list .= '</div><!-- end widget-menu -->';

    return $list;
  }

  public function placeIn($placement = "") 
  {
    $path = $this->getCategoryUrl();
    $this->sourceDOM->addDOMElement( '<link href="'.$path.'/styles.css" rel="stylesheet" type="text/css" />', $this->head );

    $place = empty($placement) ? $this->nav : $placement;
    $this->sourceDOM->addDOMElement( $this->create(), $place );
  }

}
?>
